Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86005 - /etc/init.d/sendmail uses default "make" target
Summary: /etc/init.d/sendmail uses default "make" target
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 04:09 UTC by H. Peter Anvin
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-26 10:33:38 UTC


Attachments (Terms of Use)
Sample site-specific Makefile (deleted)
2003-03-12 04:11 UTC, H. Peter Anvin
no flags Details

Description H. Peter Anvin 2003-03-12 04:09:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
It is quite common practice to have /etc/mail/Makefile build site-specific
configurations, e.g. antispam access control lists.  It's very convenient for
the system administrator if a simple "make" can rebuild all these files and
restart sendmail.

Unfortunately, in recent RedHat versions the sendmail startup script calls "make
-s" in /etc/mail, resulting in an infinite loop.

I would like to strongly recommend that the startup scripts use a named target
instead (I use the name "auto") and leave the default target for use by the
system administrator.

This is a RedHat concern, because this requires a small change to the standard
init scripts, lest every time sendmail is updated because of a security hole the
sysadmin has to go in and patch the startup script again.

Version-Release number of selected component (if applicable):
sendmail-8.12.8-1.80

How reproducible:
Always

Steps to Reproduce:
1. Install the attached Makefile as /etc/mail/Makefile
2. Type "make"

    

Actual Results:  Infinite loop

Expected Results:  The files should have been constructed and sendmail restarted.

Additional info:

See also bug 85875.

Comment 1 H. Peter Anvin 2003-03-12 04:11:31 UTC
Created attachment 90569 [details]
Sample site-specific Makefile

RedHat may want to steal some ideas from this script, in particular the "stop",
"start" and "restart" targets are handy.

Comment 2 Florian La Roche 2003-03-26 10:33:38 UTC
I have change the startup script to use the target "all" and added
start/stop/restart targets

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.